package com.alibaba.sdk.android.vodupload_demo;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.os.PersistableBundle;
import android.support.annotation.Nullable;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.Toolbar;
import android.view.View;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.Button;
import android.widget.ListView;
import android.widget.Toast;

import com.alibaba.sdk.android.vod.upload.VODUploadCallback;
import com.alibaba.sdk.android.vod.upload.VODUploadClient;
import com.alibaba.sdk.android.vod.upload.VODUploadClientImpl;
import com.alibaba.sdk.android.vod.upload.model.UploadFileInfo;
import com.alibaba.sdk.android.oss.common.OSSLog;
import com.alibaba.sdk.android.vod.upload.model.VodInfo;

import java.io.File;
import java.io.FileOutputStream;
import java.util.ArrayList;
import java.util.List;
import java.util.Random;

public class MainActivity extends AppCompatActivity implements View.OnClickListener{

    Button multiUpload;
    Button svideoUpload;

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.upload_main);

        multiUpload  = (Button)findViewById(R.id.multi_upload);
        svideoUpload = (Button) findViewById(R.id.svideo_upload);
        multiUpload.setOnClickListener(this);
        svideoUpload.setOnClickListener(this);
    }


    @Override
    public void onClick(View v) {
        if (v.getId() == R.id.multi_upload){
            Intent intent =new Intent();
            intent.setClass(v.getContext(),MultiUploadActivity.class);
            startActivity(intent);
        }else if(v.getId() == R.id.svideo_upload){
            Intent intent =new Intent();
            intent.setClass(v.getContext(),SVideoUploadActivity.class);
            startActivity(intent);
        }
    }
}
